CPAN-UPLOAD(1)

NAME
cpan_upload - upload a distribution to the CPAN

VERSION
version 0.103001

USAGE
  usage: cpan-upload [options] file-to-upload
    -v --verbose       enable verbose logging
    -h --help          display this help message
    --dry-run          do not actually upload anything

    -u --user          your PAUSE username
    -p --password      the password to your PAUSE account
    -d --directory     a dir in your CPAN space in which to put the file
    --http-proxy       URL of the http proxy to use in uploading

CONFIGURATION
If you have a ".pause" file in your home directory, it will be checked for a username and password. It should look like this:

  user EXAMPLE
  password your-secret-password

SEE ALSO
CPAN::Uploader

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.